Subject: bug#45633: bcc and bpftrace require kernel headers from system

From: John Soo <[email-masked]>
Date: Sun, 03 Jan 2021 10:32:28 -0800

Hi Guix,

When I added bcc and bpftrace to guix I didn't think much of which
version of the kernel headers would be used.  After a few kernel
updates, it has become clear that the current-system kernel headers need
to match the kernel headers the packages are compiled with.  Can they be
provided with a variant property?  The ocaml packages that need
different ocaml versions seem like a nice model on how to do the kernel
headers.

Thoughts?

 - John